ARG BUILD_FROM
FROM nvidia/cuda:12.1.0-runtime-ubuntu22.04

# install python
RUN apt-get update && apt-get install -y \
    python3 python3-pip python3-venv git \
    && rm -rf /var/lib/apt/lists/*

# install wyoming-chatterbox
RUN pip3 install --no-cache-dir wyoming-chatterbox

# copy run script
COPY run.sh /
RUN chmod a+x /run.sh

WORKDIR /data

CMD ["/run.sh"]
